import 'package:example_chat/widget_chat.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  // This widget is the root of your application.
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Automatic Chat Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
        visualDensity: VisualDensity.adaptivePlatformDensity,
      ),
      home: MyHomePage(title: 'Automatic Chat Demo'),
    );
  }
}

class MyHomePage extends StatefulWidget {
  MyHomePage({Key key, this.title}) : super(key: key);

  final String title;

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  String message = "Mensagem a ser enviada";
  String message2 = "";
  int index = 0;
  bool _typing = true;

  @override
  void initState() {
    super.initState();

    // Timer(
    //     Duration(milliseconds: 2000),
    //     () => {
    //           setState(() {
    //             _typing = false;
    //           }),
    //           sendTextToBallon()
    //         });
  }

  // void sendTextToBallon() {
  //   mounted
  //       ? setState(() {
  //           message2 += message[index];
  //           index = index + 1;
  //         })
  //       : null;
  //   index < message.length
  //       ? Timer(Duration(milliseconds: 50), () => sendTextToBallon())
  //       : null;
  // }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(widget.title),
      ),
      body: Column(
        mainAxisAlignment: MainAxisAlignment.start,
        children: <Widget>[
          ChatAnimatedMessage(
            message: "Olá, eu sou uma mensagem de chat automática e animada",
            baloonColor: Colors.red,
            timeToStart: 1000,
            roundedBorder: BorderRadius.only(
              // topLeft: Radius.circular(23),
              bottomLeft: Radius.circular(23),
              topRight: Radius.circular(23),
              bottomRight: Radius.circular(23),
            ),
          )
        ],
      ),
      // This trailing comma makes auto-formatting nicer for build methods.
    );
  }
}
